### Function

# Gimp get_parasite

since: 2.8

#### Declaration [src]

    GimpParasite*
    gimp_get_parasite (
      const gchar* name
    )

#### Description [src]

Look up a global parasite.

Finds and returns the global parasite that was previously attached.

Available since: 2.8

#### Parameters

`name`

  Type: `const gchar*`

  The name of the parasite to find.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GimpParasite`

The found parasite.

The caller of the function takes ownership of the data, and is responsible for freeing it.